package error

import "fmt"

const (
	AnthroveUserIDIsEmpty   = "anthrovePostID cannot be empty"
	AnthroveUserIDToShort   = "anthrovePostID needs to be 25 characters long"
	AnthroveSourceIDEmpty   = "anthroveSourceID cannot be empty"
	AnthroveSourceIDToShort = "anthroveSourceID needs to be 25 characters long"
	AnthroveTagIDEmpty      = "tagID cannot be empty"
)

type EntityValidationFailed struct {
	Reason string
}

func (e EntityValidationFailed) Error() string {
	return fmt.Sprintf("Entity validation failed: %s", e.Reason)
}
